<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Load Data on Page Scroll using jQuery, Ajax, PHP, and MySQL</title>
<style type="text/css">
body {
	font: normal 15px arial,sans-serif;
}
#postList{ 
	margin-bottom:20px;
}
.list-item {
	background-color: #F1F1F1;
    margin: 5px 15px 2px;
    padding: 2px;
    font-size: 14px;
    line-height: 1.5;
	height: 120px;
}
.list-item h4 {
	color: #0074a2;
	margin-left: 10px;
}
.load-more {
	margin: 15px 25px;
	cursor: pointer;
	padding: 10px 0;
	text-align: center;
	font-weight:bold;
}
</style>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	$(window).scroll(function(){
		var lastID = $('.load-more').attr('lastID');
		if(($(window).scrollTop() == $(document).height() - $(window).height()) && (lastID != 0)){
			$.ajax({
				type:'POST',
				url:'getData.php',
				data:'id='+lastID,
				beforeSend:function(){
					$('.load-more').show();
				},
				success:function(html){
					$('.load-more').remove();
					$('#postList').append(html);
				}
			});
		}
	});
});
</script>
</head>

<body>

<div class="container">
    <div class="row">
        <div class="col-lg-12">
        	<h1>Load Data on Page Scroll by CodexWorld</h1>
            <div id="postList">
			<?php
			// Include the database configuration file
			require 'dbConfig.php';

			// Get records from the database
			$query = $db->query("SELECT * FROM posts ORDER BY id DESC LIMIT 5");
			
			if($query->num_rows > 0){ 
				while($row = $query->fetch_assoc()){
                    $postID = $row["id"];
            ?>
				<div class="list-item"><h4><?php echo $row['title']; ?></h4></div>
            <?php } ?>
				<div class="load-more" lastID="<?php echo $postID; ?>" style="display: none;">
					<img src="loading.gif"/>
				</div>
            <?php } ?>
            </div>
        </div>
    </div>
</div>

</body>
</html>

